This plugin hasn’t been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

Recent Posts Widget Unlimited

Description

By default, the built-in Recent Posts widget in WordPress only allows you to
display up to 15 recent posts max, even if you specify a larger number. This
is hard-coded into the WordPress core so any modifications you make would have
to be redone upon every WordPress update.

No longer!

The Recent Posts Widget Unlimited functions exactly as the built-in WordPress
widget but without the 15-post restriction. You can now specify an unlimited
number of recent posts to display without resorting to modifying the WordPress
core.

Screenshots

  • The widget settings menu.

Installation

Automatic Installation

  1. Click the “Install Now” button to the right.
  2. Activate the plugin through the ‘Plugins’ menu in WordPress
  3. The widget will now appear in the ‘Widgets’ menu. Drag it over to your
    sidebar and set the number of recent posts to retrieve.
  4. You can optionally set the title just like the built-in Recent Posts
    widget.
  5. Click ‘Save’ in the widget to save settings.

Manual Installation

  1. Upload recent-posts-widget-unlimited.zip to the /wp-content/plugins/ directory
  2. Unzip recent-posts-widget-unlimited.zip.
  3. Activate the plugin through the ‘Plugins’ menu in WordPress
  4. The widget will now appear in the ‘Widgets’ menu. Drag it over to your
    sidebar and set the number of recent posts to retrieve.
  5. You can optionally set the title just like the built-in Recent Posts
    widget.
  6. Click ‘Save’ in the widget to save settings.

FAQ

How do I report a bug?

Please visit the plugin site at Plugin Page and submit a comment.

Contributors & Developers

“Recent Posts Widget Unlimited” is open source software. The following people have contributed to this plugin.

Contributors

Changelog

1.1.0

  • Clarified widget title and updated compatibility to 4.2.2.

1.0.1

  • Fixed spelling error in plugin name.

1.0.0

  • Initial release.